Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.query
Interface SQLActionVisitor

All Known Implementing Classes:
  IngresActionBuilder, JdbcActionBuilder, SQLServerActionBuilder

    public interface SQLActionVisitor

A factory interface to create standard SQLActions for a set of standard queries. Instances of SQLActionVisitor are passed by Cayenne to a Query in `Query.createSQLAction(SQLActionVisitor)`, allowing query to choose the action type and convert itself to a "standard" query if needed. Individual DbAdapters would provide special visitors, thus allowing for DB-dependent execution algorithms.

Since:
  1.2
See Also:
  `Query.createSQLAction(SQLActionVisitor)`

Method Summary
`SQLAction` | `batchAction(BatchQuery query)` Creates an action to execute a batch update query.
`SQLAction` | `ejbqlAction(EJBQLQuery query)` Creates an action to execute EJBQL query.
`SQLAction` | `objectSelectAction(SelectQuery query)` Creates an action to execute a SelectQuery.
`SQLAction` | `procedureAction(ProcedureQuery query)` Creates an action to execute a ProcedureQuery.
`SQLAction` | `sqlAction(SQLTemplate query)` Creates an action to execute a SQLTemplate.

Method Detail

### batchAction

    SQLAction batchAction(BatchQuery query)

  Creates an action to execute a batch update query.

### objectSelectAction

    SQLAction objectSelectAction(SelectQuery query)

  Creates an action to execute a SelectQuery.

### sqlAction

    SQLAction sqlAction(SQLTemplate query)

  Creates an action to execute a SQLTemplate.

### procedureAction

    SQLAction procedureAction(ProcedureQuery query)

  Creates an action to execute a ProcedureQuery.

### ejbqlAction

    SQLAction ejbqlAction(EJBQLQuery query)

  Creates an action to execute EJBQL query.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.